Subject: Re: bug#16595: registers can now end up with non-character names

From: Glenn Morris <[email-masked]>
Date: Thu, 30 Jan 2014 21:51:42 -0500

This is due to register-read-with-preview, which use read-event and does
no sanity checking of the result. Why does it not use read-char?

Also on this subject, register-preview-functions is undocumented and unused.
Does it need to exist? Does it need to be a hook, as opposed to a
-function variable? Should it not exist until there is a use-case for it?